hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Giridharan Kesavan (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-8799) commons-lang version mismatch
Date Thu, 13 Sep 2012 23:46:07 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-8799?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13455452#comment-13455452
] 

Giridharan Kesavan commented on HADOOP-8799:
--------------------------------------------

could you pls list the steps to repro? I checked the ivy/libraries.properties and the commons-configuration
pom for transient dependency, both has commons-lang version set to 2.4. 

I tried a local build and this is what I see;
{quote}
[ivy:resolve]   found commons-el#commons-el;1.0 in maven2
[ivy:resolve]   found commons-configuration#commons-configuration;1.6 in maven2
[ivy:resolve]   found commons-collections#commons-collections;3.2.1 in maven2
[ivy:resolve]   found commons-lang#commons-lang;2.4 in maven2
{quote}

could you pls try this with a clean .ivy2 .m2 cache ?
                
> commons-lang version mismatch
> -----------------------------
>
>                 Key: HADOOP-8799
>                 URL: https://issues.apache.org/jira/browse/HADOOP-8799
>             Project: Hadoop Common
>          Issue Type: Bug
>          Components: build
>    Affects Versions: 1.0.3
>            Reporter: Joel Costigliola
>
> hadoop install references commons-lang-2.4.jar while hadoop-core dependency references
commons-lang:jar:2.6 as shown in maven dependency:tree command output extract.
> {noformat}
> org.apache.hadoop:hadoop-core:jar:1.0.3:provided
> +- commons-cli:commons-cli:jar:1.2:provided
> +- xmlenc:xmlenc:jar:0.52:provided
> +- commons-httpclient:commons-httpclient:jar:3.0.1:provided
> +- commons-codec:commons-codec:jar:1.4:provided
> +- org.apache.commons:commons-math:jar:2.1:provided
> +- commons-configuration:commons-configuration:jar:1.6:provided
> |  +- commons-collections:commons-collections:jar:3.2.1:provided
> |  +- commons-lang:commons-lang:jar:2.6:provided (version managed from 2.4)
> {noformat}
> Hadoop install libs should be consistent with hadoop-core maven dependencies.
> I found this error because I was using a feature available in commons-lang.2.6 that was
failing when executed in my hadoop cluster (but not with m pigunit tests).
> A last remark, it would be nice to display the classpath used by hadoop cluster while
executing a job, because these kinds of errors are not easy to find.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message